## Apache Zeta Components Manual :: Docs For Class ezcMvcResponse

### MvcTools::ezcMvcResponse

### Class ezcMvcResponse

Struct which holds the abstract response.

Source for this file: /MvcTools/src/structs/response.php

    ezcBaseStruct
       |
       --ezcMvcResponse

Version: | //autogentag//

### Member Variables

public string | `$body` Server body.
public ezcMvcResultCache | `$cache` Contains cache control settings
public ezcMvcResultContent | `$content` Contains content meta-data, such as language, type, charset.
public array(ezcMvcResultCookie) | `$cookies` Contains all the cookies to be set
public DateTime | `$date` Date of the result
public string | `$generator` Generator string, f.e. "eZ Components MvcTools"
public ezcBaseStruct | `$status` Result status, which contains additional information about the result, such as a location header (for external redirects), or a www-authenticate information struct.

### Method Summary

public static ezcMvcResponse | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResponse | `__construct( [ $status = null] , [ $date = null] , [ $generator = ''] , [ $cache = null] , [ $cookies = array()] , [ $content = null] , [ $body = ''] )` Constructs a new ezcMvcResponse.

### Methods

#### __set_state

static ezcMvcResponse __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResponse __construct( [ezcBaseStruct $status = null] , [DateTime $date = null] , [string $generator = ''] , [ezcMvcResultCache $cache = null] , [array(ezcMvcResultCookie) $cookies = array()] , [ezcMvcResultContent $content = null] , [string $body = ''] )

Constructs a new ezcMvcResponse.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$status` | ezcBaseStruct |
`$date` | DateTime |
`$generator` | string |
`$cache` | ezcMvcResultCache |
`$cookies` | array(ezcMvcResultCookie) |
`$content` | ezcMvcResultContent |
`$body` | string |

Documentation generated by phpDocumentor 1.4.3